# PDF-QA提示词处理流程说明

以下是基于提示词模块的文本处理流程图：

```mermaid
graph LR
    A[FileTypeClassifier<br/>识别文档类型] --> B[FileIndustryClassifier<br/>识别文档所属行业]
    B --> C[TextIntentExtractor<br/>从训练数据中找出意图列表]
    C --> D[TextIntentDetector<br/>判断文本是否在预定义意图列表中]
    D --> E[IntentMetadataExtractor<br/>根据意图提取领域元数据和属性名]

    E --> F[AttributeTripleExtractor<br/>提取与领域元数据对应的属性信息]
    F --> G[QAIntentDetection<br/>提取用户问题对应的意图列表]
    G --> H[Text2Cypher<br/>将意图转换为Cypher查询]
    H --> I[QAAssistant<br/>使用查询出的数据回答用户问题]
```

## 注意事项

1. **思考模式使用情况**：
   - 仅 **`TextIntentExtractor`（从训练数据中找出意图列表）** 使用了“思考模式”。
   - 其他模块均使用“非思考模式”进行处理。
2. **模型版本更新说明**：当前使用模型已由原先的 `qwen3:30b-a3b` 替换为 **`qwen3:32b`**。